%define commit %(echo %version | cut -d. -f2)
Name:          breakpad
Version:       20210817git.3c70e01
Release:       1mamba
Summary:       A set of client and server components which implement a crash-reporting system
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://chromium.googlesource.com/breakpad/breakpad
Source:        https://chromium.googlesource.com/breakpad/breakpad.git/master@%{commit}/breakpad-%{version}.tar.bz2
Patch0:        breakpad-20171017git-gcc-10.2.0.patch
Patch1:        breakpad-20171017git-glibc-2.30.patch
Patch2:        breakpad-20200605git.2757a2c9-gcc-11.2.0.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
Breakpad is a set of client and server components which implement a crash-reporting system.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF
git clone https://chromium.googlesource.com/linux-syscall-support breakpad-lss
ln -s ../../breakpad-lss src/third_party/lss
%patch0 -p1
#%patch1 -p1
%patch2 -p1

%build
#:<< _EOF
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/core2md
%{_bindir}/dump_syms
%ifarch x86_64 %{ix86}
%{_bindir}/dump_syms_mac
%endif
%{_bindir}/microdump_stackwalk
%{_bindir}/minidump-2-core
%{_bindir}/minidump_dump
%{_bindir}/minidump_stackwalk
%{_bindir}/minidump_upload
%{_bindir}/pid2md
%{_bindir}/sym_upload
%{_libexecdir}/core_handler
%doc AUTHORS LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/breakpad
%{_includedir}/breakpad/*
%{_libdir}/libbreakpad.a
%{_libdir}/libbreakpad_client.a
%{_libdir}/pkgconfig/breakpad-client.pc
%{_libdir}/pkgconfig/breakpad.pc
%{_datadir}/doc/breakpad-0.1/*
%doc README.ANDROID README.md

%changelog
* Tue Aug 17 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20210817git.3c70e01-1mamba
- update to 20210817git.3c70e01

* Mon Aug 16 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20200605git.2757a2c9-1mamba
- update to 20200605git.2757a2c9

* Mon Aug 16 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20210816git-1mamba
- update to 20210816git

* Tue Mar 16 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20171017git-2mamba
- added patches to fix build with recent tools

* Mon Oct 30 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 20171017git-1mamba
- update to 20171017

* Tue Sep 13 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 20160913git-1mamba
- package created using the webbuild interface
